<div class="center">
  <form [formGroup]="userForm" (ngSubmit)="onSave()">
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter first name</mat-label>
        <input type="text" matInput formControlName="firstName">
        <mat-error *ngIf="firstNameControl.hasError('required')">Please enter first name</mat-error>
      </mat-form-field>
    </div>
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter last name</mat-label>
        <input type="text" matInput formControlName="lastName">
        <mat-error *ngIf="lastNameControl.hasError('required')">Please enter last name</mat-error>
      </mat-form-field>
    </div>
    <div>
      <hr class="hr">
      <button
        mat-raised-button
        type="submit"
        [disabled]="!userForm.valid">Save</button>
    </div>
  </form>
</div>
